develooper Front page | perl.perl6.language | Postings from March 2009

use v5 Support

Thread Next
From:
jason switzer
Date:
March 25, 2009 21:11
Subject:
use v5 Support
Message ID:
69980e7f0903252111q3ae6dee3oc1ed4a6071a24e45@mail.gmail.com
I want to pose the same question for clarification that I asked #perl6:

S01 says that perl5 code will be supported via "use v5". Can someone confirm
that embedded perl5 code is still required of any valid implementation? If
so, how will XS code be supported? Will the namespace between v5 code and v6
be shared? Will this be accomplished by linking libperl or libperl++ (if
completed)? From what I've heard, there are issues with using libperl. This
seems like a heavy burden for each implementation to bear.

I want to propose another idea (that seems better to me at least). This
sounds like a good place where a user module could create a perl5 grammar (a
version of STD.pm). I'm not too familiar with how the perl6 STD.pm works,
but I've heard there were efforts to attach actions to its YAML output,
similar to how Parse::RecDescent does in perl5 to yacc-like grammars.

That may be a bit naive, but someone pointed this section out to me and it
raised a ton of questions.

-Jason "s1n" Switzer

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About